aboutsummaryrefslogtreecommitdiff
path: root/build-docker.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-docker.sh')
-rwxr-xr-xbuild-docker.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/build-docker.sh b/build-docker.sh
new file mode 100755
index 0000000..dfcc96d
--- /dev/null
+++ b/build-docker.sh
@@ -0,0 +1,8 @@
+#! /bin/sh
+buildah manifest rm gorum-manifest || true
+buildah manifest create gorum-manifest
+for PLATFORM in linux/amd64 linux/arm64/v8 # linux/386 linux/arm/v5 linux/arm/v6 linux/arm/v7 linux/arm/v8 linux/s390x linux/ppc64le
+do
+ buildah bud --manifest gorum-manifest --platform ${PLATFORM}
+done
+buildah manifest push --all --format v2s2 gorum-manifest docker://gitrepo.ru/neonxp/gorum:latest \ No newline at end of file